﻿@model IEnumerable<NF.Web.Models.ViewModels.FormVM>
@{
    ViewData["Title"] = "SearchResult";
    Layout = "~/Views/Shared/_Layout.cshtml";
    int counter = 0;
}


<style>
    .bottom-three {
        margin-left: 1cm;
    }

    .button-link {
        padding: 6px;
        border-radius: 8px;
        color: white;
    }
</style>

<h1>Forms found by name: </h1>
<br />

<div class="row">

    @foreach (var form in Model)
    {
        if (counter != 0 && counter % 3 == 0)
        {
        @:</div>
        @:<div class="row">
        }
        <div class="bottom-three">
            <div class="card text-black mb-5 text-center" style= " background-color: #85adad;width: 20rem; height:14rem;">
                <div class="card-body">
                    <div class="text-center">
                        @{
                            string desc;
                            if (form.Description.Length < 65)
                            {
                                desc = form.Description;

                            }
                            else
                            {
                                desc = form.Description.Substring(0, 65) + "...";
                            }
                            string name;
                            if (form.Name.Length <= 19)
                            {
                                name = form.Name;
                            }
                            else
                            {
                                name = form.Name.Substring(0, 17) + "..";
                            }

                            string date = form.ModifiedOn.ToString("dd/MM/yyyy");


                        }
                        <h4 class="card-title">@name</h4><br>
                        <h6 class="card-text">@desc</h6>

                        <smal class="text-left">Number of times answered: @Html.DisplayFor(modelItem => form.AnsweredCount)</smal><br />
                        <smal class="text-right">Last modified on: @date</smal><br />
                        <form>

                            <button asp-area="" class="button-link" style="background-color: lawngreen;  border: 1px green; width:100px" asp-controller="Forms" asp-action="CheckOutForm" asp-route-id="@form.Id"> View Form </button>

                        </form>
                    </div>
                </div>
            </div>
        </div>

    }
</div>











